uuid: 5ab8244e-8b37-4f5c-b3cc-6bdcd2973444
langcode: en
status: true
dependencies: {  }
id: gronze_node_caminos_fields
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - node
  - gronze
  - caminos
  - level3
migration_group: gronze_node_fields
label: 'Caminos nodes fields migration from Gronze D7'
source:
  high_water_property:
    name: vid
    alias: 'n'
  plugin: d7_node_gronze
  node_type: caminos
process:
  changed: changed
  nid:
    plugin: migration_lookup
    migration: gronze_node_caminos
    source: nid
    no_stub: true
  body/value: body/0/value
  body/summary: body/0/summary
  body/format:
    plugin: text_format_map
    source: body/0/format
  field_camino_warning: field_camino_warning
  field_simple_color/0/color: field_simple_color/0/rgb
  field_simple_color/0/opacity:
    plugin: default_value
    default_value: '1'
  field_ref_next_etapa:
    plugin: sub_process
    source: field_camino_cont_etapa
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_node_etapas
        source: target_id
        no_stub: true
  field_ref_etapa:
    plugin: sub_process
    source: field_camino_etapas
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_node_etapas
        source: target_id
        no_stub: true
  field_ref_forum:
    plugin: sub_process
    source: field_ref_forum
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_forums
        source: target_id
        no_stub: true
  field_id: field_id
  field_image:
    plugin: sub_process
    source: field_imagen_del_camino
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_media_document
          - gronze_media_geo
          - gronze_media_image
          - gronze_media_mapa
          - gronze_media_video
          - gronze_media_youtube
          - gronze_media_vimeo
        source: fid
        no_stub: true
  field_camino_info:
    plugin: sub_process
    source: field_camino_info
    process:
      target_id:
        -
          plugin: migration_lookup
          migration:
            - gronze_pg_simple_text
            - gronze_pg_text_small_image
            - gronze_pg_image_full_width
            - gronze_pg_text_links
            - gronze_pg_media_full_width
            - gronze_pg_section_text
            - gronze_pg_list_content_titles
            - gronze_pg_note_simple
            - gronze_pg_pack_node_list
            - gronze_pg_pack_taxonomy_list
            - gronze_pg_related_content
            - gronze_pg_related_terms
            - gronze_pg_note_location
            - gronze_pg_etapa_alternative
            - gronze_pg_etapa_location
            - gronze_pg_etapa_map
            - gronze_pg_etapa_note
            - gronze_pg_etapa_stretch
          source: value
          no_stub: true
        -
          plugin: extract
          index:
            - 0
      target_revision_id:
        -
          plugin: migration_lookup
          migration:
            - gronze_pg_simple_text
            - gronze_pg_text_small_image
            - gronze_pg_image_full_width
            - gronze_pg_text_links
            - gronze_pg_media_full_width
            - gronze_pg_section_text
            - gronze_pg_list_content_titles
            - gronze_pg_note_simple
            - gronze_pg_pack_node_list
            - gronze_pg_pack_taxonomy_list
            - gronze_pg_related_content
            - gronze_pg_related_terms
            - gronze_pg_note_location
            - gronze_pg_etapa_alternative
            - gronze_pg_etapa_location
            - gronze_pg_etapa_map
            - gronze_pg_etapa_note
            - gronze_pg_etapa_stretch
          source: value
          no_stub: true
        -
          plugin: extract
          index:
            - 1
  field_intro_text/value: field_texto_intro/0/value
  field_intro_text/format:
    plugin: default_value
    default_value: basic_html
  field_ref_location:
    plugin: sub_process
    source: field_camino_localidades
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_locations
        source: tid
        no_stub: true
  field_map:
    plugin: sub_process
    source: field_mapa
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_media_document
          - gronze_media_geo
          - gronze_media_image
          - gronze_media_mapa
          - gronze_media_video
          - gronze_media_youtube
          - gronze_media_vimeo
        source: fid
        no_stub: true
  field_title_short: field_title_short
  field_featured_note: field_nota_destacada
  field_options: field_camino_options
  field_ref_regions:
    plugin: sub_process
    source: field_ref_regiones
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_regions
        source: target_id
        no_stub: true
destination:
  plugin: 'entity:node'
  default_bundle: camino
migration_dependencies:
  required:
    - gronze_node_caminos
    - gronze_node_etapas
    - gronze_taxonomy_forums
    - gronze_taxonomy_locations
    - gronze_taxonomy_regions
    - gronze_media_document
    - gronze_media_geo
    - gronze_media_image
    - gronze_media_mapa
    - gronze_media_video
    - gronze_media_youtube
    - gronze_media_vimeo
    - gronze_pg_simple_text
    - gronze_pg_text_small_image
    - gronze_pg_image_full_width
    - gronze_pg_text_links
    - gronze_pg_media_full_width
    - gronze_pg_section_text
    - gronze_pg_list_content_titles
    - gronze_pg_note_simple
    - gronze_pg_pack_node_list
    - gronze_pg_pack_taxonomy_list
    - gronze_pg_related_content
    - gronze_pg_related_terms
    - gronze_pg_note_location
    - gronze_pg_etapa_alternative
    - gronze_pg_etapa_location
    - gronze_pg_etapa_map
    - gronze_pg_etapa_note
    - gronze_pg_etapa_stretch
